import { config } from 'dotenv';
config({ path: `.env.${process.env.NODE_ENV || 'development'}.local` });

export const CREDENTIALS = process.env.CREDENTIALS === 'true';

export const {
  NODE_ENV,
  PORT,
  ORIGIN1,
  ORIGIN2,
  SSO_PRIVATE_KEY,
  KINERJA_PUBLIC_KEY,

  KINERJA_URL
} = process.env;

export const ORIGIN = [ORIGIN1, ORIGIN2];
export const SSO_PRIVATE_KEY_EXPIRATION = parseInt(process.env.SSO_PRIVATE_KEY_EXPIRATION);