import { Router } from 'express';
import { AuthRoute } from './auth.route';
import { UserRoute } from './user.route';

export class AppRouter {
  public router: Router;

  constructor() {
    this.router = Router();

    this.router.use(new AuthRoute().router);
    this.router.use(new UserRoute().router);
  }
}
