import { z } from 'zod';

export const loginSchema = z.object({
  body: z.object({
    email: z
      .string({
        required_error: 'Email is required',
      })
      .min(1, {
        message: 'Email is required',
      }),

    password: z
      .string({
        required_error: 'Password is required',
      })
      .min(1, {
        message: 'Password is required',
      }),
  }),
});
